cpw.mods.fml.client.event

## Class ConfigChangedEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - cpw.mods.fml.client.event.ConfigChangedEvent

- Direct Known Subclasses:
    ConfigChangedEvent.OnConfigChangedEvent, ConfigChangedEvent.PostConfigChangedEvent

      public class ConfigChangedEvent
      extends Event

  These events are posted from the GuiConfig screen when the done button is pressed. The events are only posted if the parent screen is not an instance of GuiConfig or if the configID field has been set for the GuiConfig screen. Listeners for this event should use OnConfigChanged or PostConfigChanged and check for a specific mod ID. For best results the listener should refresh any objects/fields that are set based on the mod's config and should serialize the modified config.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConfigChangedEvent.OnConfigChangedEvent` This event is intended to be consumed by the mod whose config has been changed.
    `static class` | `ConfigChangedEvent.PostConfigChangedEvent` This event is provided for mods to consume if they want to be able to check if other mods' configs have been changed.

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `configID` A String identifier for this ConfigChangedEvent.
    `boolean` | `isWorldRunning` Whether or not a world is currently running.
    `java.lang.String` | `modID` The Mod ID of the mod whose configuration just changed.
    `boolean` | `requiresMcRestart` Will be set to true if any elements were changed that require a restart of Minecraft.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigChangedEvent(java.lang.String modID, java.lang.String configID, boolean isWorldRunning, boolean requiresMcRestart)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modID

          public final java.lang.String modID

      The Mod ID of the mod whose configuration just changed.

    - #### isWorldRunning

          public final boolean isWorldRunning

      Whether or not a world is currently running.

    - #### requiresMcRestart

          public final boolean requiresMcRestart

      Will be set to true if any elements were changed that require a restart of Minecraft.

    - #### configID

          public final java.lang.String configID

      A String identifier for this ConfigChangedEvent.

  - ### Constructor Detail

    - #### ConfigChangedEvent

          public ConfigChangedEvent(java.lang.String modID,
                            java.lang.String configID,
                            boolean isWorldRunning,
                            boolean requiresMcRestart)